Package com.collibra.dgc.core.api.dto

# Class GraphDbLagAwarePagedResponse<T>

Object
PagedResponse<T>
GraphDbLagAwarePagedResponse<T>

All Implemented Interfaces:
  `SyncStatusAware`, `Serializable`

public class GraphDbLagAwarePagedResponse<T> extends PagedResponse<T> implements SyncStatusAware
PagedResponse that also carries knowledge-graph sync status. Used exclusively for DRT query results.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class PagedResponse

  `PagedResponse.Builder<T>`

- ## Field Summary

  ### Fields inherited from class PagedResponse

  `limit, offset, total`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraphDbLagAwarePagedResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getDatabaseStatus()`
  `Long`
  `getLastCommittedTimestampMs()`
  `int`
  `hashCode()`
  `void`
  `setDatabaseStatus(String databaseStatus)`
  `void`
  `setLastCommittedTimestampMs(Long lastCommittedTimestampMs)`

  ### Methods inherited from class PagedResponse

  `builder, getLimit, getOffset, getResults, getTotal, setLimit, setOffset, setResults, setTotal, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GraphDbLagAwarePagedResponse

    public GraphDbLagAwarePagedResponse()

- ## Method Details

  - ### getDatabaseStatus

    public String getDatabaseStatus()
    Specified by:
      `getDatabaseStatus` in interface `SyncStatusAware`

  - ### getLastCommittedTimestampMs

    public Long getLastCommittedTimestampMs()
    Specified by:
      `getLastCommittedTimestampMs` in interface `SyncStatusAware`

  - ### setDatabaseStatus

    public void setDatabaseStatus(String databaseStatus)

  - ### setLastCommittedTimestampMs

    public void setLastCommittedTimestampMs(Long lastCommittedTimestampMs)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedResponse<T>`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedResponse<T>`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedResponse<T>`